jQuery(function($){
	
	//Botón inicio oficio
	$("#btnInicioOficio").click(function() {

		bloquearInterfaz();
		$("#crearExpedienteInicioOficioInspeccion").rup_dialog({
			url: "/ab79WebAppWar/inicioOficio/abrirModalCreacionExpedienteInicioOficioInspeccion/-1/"+$("#idExpediente").val(),
			title: $.rup.i18n.app.modalCrearExpedienteInicioOficio.tituloModal,
			autoOpen: true,
			width: 1100,
			modal: true,
			position: { my: "center center" },
			type: $.rup.dialog.AJAX,
			ajaxOptions: {
				success: function(){
					desbloquearInterfaz();
				},
				error: function(){
					desbloquearInterfaz();
				}
			},
			buttons: [{
					text: $.rup.i18n.app.crear,
					click: function () { 
						crearExpedienteInicioOficioModal();
					},
					class:"btn btn-primary",
					id: "crearExpedienteInicioOficioInspeccionGuardar"
				},
				{
					text: $.rup.i18n.app.cancelar,
					btnType: $.rup.dialog.LINK,
					click: function () { 
						cancelarExpedienteInicioOficioModal();
					},
					class:"btn btn-light pull-right"
				}
			],
			close : function(){
				$("#crearExpedienteInicioOficioInspeccion").rup_dialog("destroy");
				$("#crearExpedienteInicioOficioInspeccion").html("");	
				
				//Limpiamos el contenido de los datos y el contenedor de los datos
				$("#contenedorInteresados").html("");	
				$("#datosCrearExpedienteInicioOficio").val("");
				$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("clear");
			},
			open : function(){
				$("#rup_dialogCancelar").removeClass("btn-outline-primary");
				
				//Limpiamos el contenido de los datos y el contenedor de los datos
				$("#contenedorInteresados").html("");	
				$("#datosCrearExpedienteInicioOficio").val("");
				
				/**
				 * Enviamos un -1 para el caso de la inspeccion ya que queremos obtener los participantes por el expediente y no por la inspeccion
				 */
				$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo({
					blank : "",
					source : CTX_PATH + "inicioOficio/"+$("#idProcedimiento").val(),
					sourceParam : {
						label : "procedimientoInicioOficio.descripcionConCodProcedure",
						value : "procedimientoInicioOficio.idProcedimiento"
					},
					onLoadSuccess: function(){
						$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("clear");
						if($('#nuevaModalExpedienteInicioOficioComboProcedimiento option').length === 2){
							$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("select", 1);
							
							seleccionProcedimiento();
						}
					},
					select: function(){
						seleccionProcedimiento();
					},
					width: 640
				});
			}
		});
	
	});
	
});
